// EdPICreaturePage.cpp : インプリメンテーション ファイル
//

#include "stdafx.h"
#include "exp00069.h"
#include "EdPICreaturePage.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CEdPICreaturePage プロパティ ページ

IMPLEMENT_DYNCREATE(CEdPICreaturePage, CEdPIDlg)

CEdPICreaturePage::CEdPICreaturePage() : CEdPIDlg(CEdPICreaturePage::IDD)
{
	//{{AFX_DATA_INIT(CEdPICreaturePage)
	m_iSel = -1;
	//}}AFX_DATA_INIT
}

void CEdPICreaturePage::DoDataExchange(CDataExchange* pDX)
{
	CEdPIDlg::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CEdPICreaturePage)
	DDX_Control(pDX, IDC_COMBO_CREATURE, m_wndSel);
	DDX_CBIndex(pDX, IDC_COMBO_CREATURE, m_iSel);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CEdPICreaturePage, CEdPIDlg)
	//{{AFX_MSG_MAP(CEdPICreaturePage)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CEdPICreaturePage メッセージ ハンドラ

bool CEdPICreaturePage::RevertRecord(DMDBU &rec, bool fRevert)
{
	if (fRevert) {
		m_iSel = (rec.r4.b4) & 127;
	} else {
		ModifySetVal(rec.r4.b4, 0x7F, m_iSel & 127);
	}
	return true;
}

BOOL CEdPICreaturePage::OnInitDialog() 
{
	CEdPIDlg::OnInitDialog();
	
	for (int i = 0; i < 127; i++) {
		m_wndSel.AddString(CDM2NameDic::GetInstance().GetName(4, i));
	}
	
	return TRUE;  // コントロールにフォーカスを設定しないとき、戻り値は TRUE となります
	              // 例外: OCX プロパティ ページの戻り値は FALSE となります
}
